Subject: IPP> MOD - new model document with fixes for typos and minor issues

From: "Scott Isaacson" <[email-masked]>
Date: Fri, 29 May 1998 12:40:10 -0600

Since there has not be a new model document for 4 months now, and n an attempt to get the Model document ready for eventual publication as an RFC, I have fixed all known (to me) types, bug fixes, and minor issues by documenting the changes in a new version of the model document.  There is one exception: there is one known outstanding issue wrt variable length max values for text and name.  The issue is a known issue, but this version contains no fixes for the issue -a real solution needs to be worked in.  

The new I-D, if ever published as an I-D, would be model-10.txt, but I will not publish it as an I-D since we have passed final call.

The new document can be found at:

ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-model-980529-rev.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-model-980529.doc
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-model-980529.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-model-980529.txt

Changes made:

1. Clarified that even though the term "URI" is used, what we really mean is "URL"
2. Fixed the order of "attributes-charset", "attributes-natural-language" and
target ("printer-uri", "job-uri", "job-id") attributes.
     1st "attributes-charset"
     2nd "attributes-natural-language"
     3rd target ("printer-uri", "job-uri", or "printer-uri" followed by "job-id")
3. Clarified the conflict between MANDATORY attributes and the "simplest" Print-Job
request.
4. Added (uri) syntax for "printer-uri" and "job-uri" and added (integer(1:MAX)) for
"job-id"
5. Clarified that HTTP layer URLs might be relative URI and that URLs in IPP operation
attributes must be absolute URLs.  I added this to section 4.1.7.  Should this
text go into the protocol spec instead of the model document?
6. Clarified that RFC 1776 defines the tags used for natural language attributes, not
necessarily enumerates them all (RFC 1766 actually just references other ISO standards)
7. Changed "type 4 | name" to "type 3 | name"
8. Removed the whole notion of type 4
9. Fixed type in number-up (from 0:MAX to 1:MAX)
10. Clarified that "successful-ok" for Print-Job just means that the job object
was created, not printed.
11. Noted that "client-error-bad-request" error code should be used for fixed
length values that are not of the expected fixed length.
12. Changed "uri-too-long" to "value-too-long" to indicate that it can be used for
any variable length attribute is too long and for some reason can not be 
ignored because it is just too big.
13. Added "server-error-busy" as a solution for the "server contention" problem
14. In section 15.3.4.3, clarified what is MANDATORY or OPTIONAL to support 
and what MUST be supplied (sent in the operation request or response) and what
MAY be supplied.
15. Also in section 15.3.4.3 changed Job Template attributes from (M*) to (O*)
16. Also in section 15.3.4.3, showed the correct order of
     1st "attributes-charset"
     2nd "attributes-natural-language"
     3rd target ("printer-uri", "job-uri", or "printer-uri" followed by "job-id")
17. Added "charset-supported", "generated-natural-language-supported" to the
Generic Directory Schema to align with what was added to the SLP Printer template
18. Fixed syntax discrepancies between headers and tables

Fixes still needed -
1. Proposal for name, text, textShort

************************************************************
Scott A. Isaacson
Corporate Architect
Novell Inc., M/S PRV-C-121 
122 E 1700 S, Provo, UT 84606
voice: (801) 861-7366, (800) 453-1267 x17366
fax: (801) 861-2517
email: [email-masked]
web: http://www.novell.com
************************************************************